From 0d366c754bbca757a229186dff511796425f5617 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 02 2020 03:51:38 +0000
Subject: [PATCH 520/2232] Remove CI badge from Cargo.toml


Support for badges has been deprecated by crates.io.

---

diff --git a/Cargo.toml b/Cargo.toml
index f5e5b9f..1455e55 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -11,9 +11,6 @@ documentation = "https://docs.rs/cxx"
 readme = "README.md"
 exclude = ["/demo-cxx", "/gen", "/syntax", "/third-party"]
 
-[badges]
-travis-ci = { repository = "dtolnay/cxx" }
-
 [dependencies]
 cxxbridge-macro = { version = "=0.3.0", path = "macro" }
 link-cplusplus = "1.0"
diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index f120099..1cbcced 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -7,9 +7,6 @@ license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a Cargo build."
 repository = "https://github.com/dtolnay/cxx"
 
-[badges]
-travis-ci = { repository = "dtolnay/cxx" }
-
 [dependencies]
 anyhow = "1.0"
 cc = "1.0.49"
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 99bff36..57f2e39 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -11,9 +11,6 @@ repository = "https://github.com/dtolnay/cxx"
 name = "cxxbridge"
 path = "src/main.rs"
 
-[badges]
-travis-ci = { repository = "dtolnay/cxx" }
-
 [dependencies]
 anyhow = "1.0"
 codespan-reporting = "0.9"
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 51fba71..4c2d423 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -11,9 +11,6 @@ exclude = ["README.md"]
 [lib]
 proc-macro = true
 
-[badges]
-travis-ci = { repository = "dtolnay/cxx" }
-
 [dependencies]
 proc-macro2 = "1.0"
 quote = "1.0"

